<?php

/**
* $Id: english.php,v 1.10 2005/09/05 15:35:47 walb Exp $
*
* Badwords2 Text Filtering Component!
* @ Copyright (C) 2005 - 2006 Wim Albers, Niels Vandekeybus, Robert Anthony Pitera
* @ Based on the initial work Badword by Pravin Hegde
* @ All rights reserved
* @ Badwords2 Text Filter component is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
*
**/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/*** Common ***/

DEFINE('_BW2_ADMIN_YES','Yes');
DEFINE('_BW2_ADMIN_NO','No');
DEFINE('_BW2_ADMIN_MANAGE_HDR','Manage ');
DEFINE('_BW2_ADMIN_BWLIST_HDR','Badwords List');
DEFINE('_BW2_ADMIN_REGEX_HDR','Regular Expressions');
DEFINE('_BW2_ADMIN_USER_HDR','Special User Access');
DEFINE('_BW2_ADMIN_BW','Badword');
DEFINE('_BW2_ADMIN_REGEX','Regular Expression');
DEFINE('_BW2_ADMIN_USER','User');
DEFINE('_BW2_ADMIN_BW_HAS_BEEN','The badword has been ');
DEFINE('_BW2_ADMIN_REGEX_HAS_BEEN','The regular expression has been ');
DEFINE('_BW2_ADMIN_USER_HAS_BEEN','The user has been ');
DEFINE('_BW2_ADMIN_CHANGED',' changed!');
DEFINE('_BW2_ADMIN_ADDED',' added!');
DEFINE('_BW2_ADMIN_BW_REMOVED','The badword(s) have been removed!');
DEFINE('_BW2_ADMIN_REGEX_REMOVED','The regular expression(s) have been removed!');
DEFINE('_BW2_ADMIN_USER_REMOVED','The user(s) have been removed!');
DEFINE('_BW2_ADMIN_CONF_UPDATED','The configuration details have been updated!');
DEFINE('_BW2_ADMIN_ERROR_CONF_WRITE','An Error Has Occurred! Unable to open config file to write!');
DEFINE('_BW2_ADMIN_WARNING_CONF_WRITE','<center><h1><font color=red>Warning...</font></h1><br /><b>Your config file is /administrator/' . $configfile . '</b><br /><b>You need to chmod this to 766 in order for the config to be updated</b></center><br /><br />');
DEFINE('_BW2_ADMIN_PROV_WORD','Sorry, blank values are not allowed. You must provide a word.');
DEFINE('_BW2_ADMIN_PROV_REGEX','Sorry, blank values are not allowed. You must provide a reg. exp.');
DEFINE('_BW2_ADMIN_PROV_USER','Sorry, blank values are not allowed. You must provide a user.');
DEFINE('_BW2_ADMIN_PROV_EDIT','Edit');
DEFINE('_BW2_ADMIN_PROV_ADD','Add');
DEFINE('_BW2_ADMIN_PERF_FILTER','Perform Filtering');
DEFINE('_BW2_ADMIN_YES_FILTER','<u>Yes</u> - Turn on badword filtering. On by default');
DEFINE('_BW2_ADMIN_NO_FILTER','<u>No</u> - Turn off badword filtering.');
DEFINE('_BW2_ADMIN_APPLY_REGEX','Apply RegExp');
DEFINE('_BW2_ADMIN_YES_REGEX','<u>Yes</u> - Turn on badword filtering using regular expressions. On by default');
DEFINE('_BW2_ADMIN_NO_REGEX','<u>No</u> - Turn off badword filtering using regular expressions.');
DEFINE('_BW2_ADMIN_ALLOW_USER_BW','Enable Badwords2 Special User Exceptions');
DEFINE('_BW2_ADMIN_YES_USER_BW','<u>Yes</u> - Allow certain users to use badwords.');
DEFINE('_BW2_ADMIN_NO_USER_BW','<u>No</u> - Do not allow badwords by <b>any</b> user except mods and admins.');
DEFINE('_BW2_ADMIN_VERSION','Version:');
DEFINE('_BW2_ADMIN_README','Readme:');
DEFINE('_BW2_ADMIN_EDIT_BW_HELP','<h3><strong>Help on wildcard usage.</strong></h3>
A simple form of wildcard is supported by specifying wildcard character asterisk (*) at the beginning and/or the end of the word.<br />
e.g. for the flush function, the filtering word = badword. The following options are available:
<ul>
<li>badword* - searches for 1 or more occurrences in the text beginning or whole words with badword and replaces it with ******* </li>
<li>*badword - searches for 1 or more occurrences in the text ending or whole words with badword and replaces it with ******* </li>
<li>*badword* - searches for 1 or more occurrences in the text, including whole words, containing badword and replaces it with ******* </li>
<li>badword - searches for whole words only, containing badword and replaces it with ******* </li>
</ul>
<br />
Note: this applies also for the filter function, with exception of replacing.<br />
For more information and examples please see the README.txt textfile.
');
DEFINE('_BW2_ADMIN_EDIT_REGEX_HELP','<h3><strong>Help Using Regular Expressions.</strong></h3>
A regular expression (regex or regexp for short) is a special text string for describing a search pattern.
You can think of regular expressions as wildcards on steroids.
You are probably familiar with wildcard notations such as *.txt to find all text files in a file manager.
The regex equivalent is .*\.txt<br /><br /><br /> <br />
While not required for operation, regular expressions can be used to fine tune Badwords2 detection.
If you are not familiar with the use of regular expression and their syntax, we&apos;d advise you to leave the sample out, since it scan only for the word &apos;bad&apos;.
You can find a great Regular Expressions reference at <a href="http://weblogtoolscollection.com/regex/regex.php">
http://weblogtoolscollection.com/regex/regex.php</a> that explains the basics and includes additonal help and references as well.
');
DEFINE('_BW2_ADMIN_EDIT_USER_HELP','<h3><strong>Help Users.</strong></h3>
Intentionally left blank.
');
DEFINE('_BW2_ADMIN_COMP_SETTINGS','Badwords2 Component Settings :');
DEFINE('_BW2_ADMIN_COMP_SETTINGS_CONF_FILE_IS','Configuration file is :');
DEFINE('_BW2_ADMIN_COMP_SETTINGS_WRITEABLE','Writeable');
DEFINE('_BW2_ADMIN_COMP_SETTINGS_UNWRITEABLE','Unwriteable');

?>